<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$page = 'envoyer';
$titre = 'Envoyer un message';

if (!empty($_POST['objet']) && !empty($_POST['nom']) && !empty($_POST['message'])) {
	$utils = explode(';', gpc('nom', 'post'));
	$nbutil = count($utils);

	$time = time();
	$message = htmlspecialchars(gpc('message', 'post'));
	$objet = htmlspecialchars(gpc('objet', 'post'));
	$bdd->connexion();
	$bdd->escape($message);
	$bdd->escape($objet);
	$bdd->escape($pseudo);

	for($i = 0; $i < $nbutil; $i++){
		$util = trim(htmlentities($utils[$i]));
		if (empty($util)) continue;
		$bdd->escape($util);
		if ($env = $bdd->unique_query("SELECT id, pseudo, mail, envoyerMail FROM $table_user WHERE pseudo = '$util';")) {
			$bdd->query("INSERT INTO $table_mail (destinataire, expediteur, sujet, contenu, temps) VALUES(".$env['id'].", '$id_user', '$objet', '$message', '$time');");
			if ($env["envoyerMail"] >= 1 && !empty($env["mail"])) send_mail($env["mail"], 'Nouveau message privé', 'Bonjour '.$env["pseudo"].',<br /><br />Un nouveau message privé vous a été envoyé dans la galaxie '.$config['serveur_name']);
		}
		else {
			$bdd->deconnexion();
			erreur('Impossible de trouver l\'un des destinataire du message : '.$util, "red", '?p=envoyer');
		}
	}
	$bdd->deconnexion();
	erreur('Votre message a été envoyé avec succès.', "green", '?p=messagerie');
}

	$ami = explode(';', $queryUser['amis']);
	$cntami = count($ami);
	$amis = array();
	$amisn = array();
	$bdd->connexion();
	for($i = 0; $i < $cntami; $i++){
		$res = $bdd->unique_query("SELECT pseudo FROM $table_user WHERE id = ".$ami[$i].";");
		if ($res != false) {
			$amis[] = $res['pseudo'];
			$amisn[] = $ami[$i];
		}
	}
	$bdd->deconnexion();
	$template->assign('amis', $amis);
	$template->assign('amisn', $amisn);

if (isset($_GET['d'])) $template->assign('destinataire', htmlentities(gpc('d')));
if (isset($_GET['o'])) $template->assign('objet', htmlentities(gpc('o')));
?>